Package org.apache.lucene.codecs.hnsw

## Class FlatVectorScorerUtil

- java.lang.Object
- - org.apache.lucene.codecs.hnsw.FlatVectorScorerUtil

-     public final class FlatVectorScorerUtil
      extends Object

  Utilities for `FlatVectorsScorer`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FlatVectorsScorer` | `getLucene99FlatVectorsScorer()` | Returns a FlatVectorsScorer that supports the Lucene99 format.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getLucene99FlatVectorsScorer

          public static FlatVectorsScorer getLucene99FlatVectorsScorer()

      Returns a FlatVectorsScorer that supports the Lucene99 format. Scorers retrieved through this method may be optimized on certain platforms. Otherwise, a DefaultFlatVectorScorer is returned.